Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master cauldron by Justin Boffemmyer (8fa5268d692fb3831aa8a584eef11e43cf09da3e)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master cauldron by Justin Boffemmyer (8fa5268d692fb3831aa8a584eef11e43cf09da3e)
  • Date: Wed, 7 Apr 2010 01:02:45 -0500

GIT changes to master cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

HACKING | 31 ++++-------
cauldron/lib.hostcache | 130
-------------------------------------------------
cauldron/lib.toolchain | 130
+++++++++++++++++++++++++++++++++++++++++++++++++
cauldron/libcauldron | 2
delint/functions | 84 +++++++++++++++++++++++++++++++
delint/libdelint | 90 +++++++++++++++++++++++++++++++++
delint/release-test | 53 +++++++++++++++++++
delint/test-functions | 102 ++++++++++++++++++++++++++++++++++++++
8 files changed, 472 insertions(+), 150 deletions(-)

New commits:
commit 8fa5268d692fb3831aa8a584eef11e43cf09da3e
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

delint: new function delinter and release tester

Added a new function call/definition delinter which scans all function
calls in a file and tests to see if the are defined. Also added a
release test which calls all the specific tests in turn and outputs the
results to $PAGER.

commit be4cd65521cf094a9990cd8a27a1d8e527274a7a
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

cauldron: rename lib.hostcache to lib.toolchain

Currently the toolchain building functions are a bit scattered, where
some are in libcauldron and the others in lib.hostcache. This is the
start of better reorganization of them.

diff --git a/HACKING b/HACKING
index 5f4d140..f6b0089 100644
--- a/HACKING
+++ b/HACKING
@@ -17,35 +17,22 @@ menu-driven interface (via dialog), much like sorcery.
***************
* libcauldron *
***************
- This is the real work-horse. It directly handles the building of
-packages (including setting up cross-compiler toolchains), , etc. This is
-sourced by the cauldron script. It itself sources the liberror library (for
-returning error codes back to the calling script, in this case the cauldron
-script) and the cauldron sublibraries (e.g., lib.chroot, lib.init, etc.).
+ This is the main cauldron library. It is responsible for managing
+initialization and final cleanup and for providing functionality common to
all
+the cauldron sub-libraries.

**************
* lib.chroot *
**************
- The lib.chroot module is responsible for setting up, tearing down, and
+ The lib.chroot library is responsible for setting up, tearing down,
and
calling into chroots. The code in this module gets used many times both in
the
other modules (in particular libcauldron) and in cauldron itself
(particularly
for the brew command).

-*****************
-* lib.hostcache *
-*****************
- The lib.hostcache module provides functions for generating spell
caches
-using the host system. If the host sorcery doesn't have ARCHIVE turned on, or
-if the cache file for a needed spell was deleted from the host system, then
it
-will need to be generated before it can be used in the build chroot. Note
that
-caches from the host system are only used to set up an initial build
toolchain,
-which will then be used to produce a build toolchain specific to the target
-system the ISO is to be built for.
-
************
* lib.init *
************
- The lib.init module handles the init system for the ISO. It provides
+ The lib.init library handles the init system for the ISO. It provides
functions for creating an initramfs/initrd and for setting up the ISO inittab
for booting into the correct enchant setup (i.e. putting the menu installer
on
tty1 and the shell installer on all the remaining tty's). It will also set up
@@ -56,11 +43,17 @@ spells with their init scripts enabled.
*****************
* lib.sorcerous *
*****************
- The lib.sorcerous module provides an interface to sorcery components
+ The lib.sorcerous library provides an interface to sorcery components
and functions as they are needed within cauldron. This includes functions
which
source sorcery files in the target, as well as functions to download and
install sorcery into the target.

+*****************
+* lib.toolchain *
+*****************
+ The lib.toolchain library provides functions for generating the base
+toolchain used to build all the components that will make up the final ISO.
+

**************
* errorcodes *
diff --git a/cauldron/lib.hostcache b/cauldron/lib.hostcache
deleted file mode 100644
index 2343e47..0000000
--- a/cauldron/lib.hostcache
+++ /dev/null
@@ -1,130 +0,0 @@
-#!/bin/bash
-#-------------------------------------------------------------------------------
-##
-##=head1 SYNOPSIS
-##
-## lib.hostcache provides functions for generating spell caches from what's
-## available on the HOST system - only to be used for the
initial
-## build toolchain
-##
-##=head1 COPYRIGHT
-##
-## Copyright 2009 by the Cauldron Team
-##
-##=head1 FUNCTIONS
-##
-##=over 4
-##
-#-------------------------------------------------------------------------------
-
-#-------------------------------------------------------------------------------
-## @param spell
-##
-## Builds a cache file from the information provided by the install log for
the
-## spell passed as an argument. It expects the provided spell to include the
-## version as a suffix (i.e. bash-3.2).
-##
-#-------------------------------------------------------------------------------
-function cauldron_create_host_cache() {
- local spell="$1"
- local install_log="$CAULDRON_HOST/var/log/sorcery/install/$spell"
- local cache="$CAULDRON_CACHES/$spell.tar"
-
- if [[ -z create_cache_archive ]]
- then
- . "$CAULDRON_HSORCERY_LIBS/libstate" 2>$CAULDRON_NULL ||
- liberror_die $ERR_HOST_SORCERY
- fi
-
- create_cache_archive "$install_log" "$cache" "${cache}${EXTENSION}" ||
- return $ERR_CREATE_CACHE
-}
-
-#-------------------------------------------------------------------------------
-## @param spell
-## @param aggressive
-##
-## Generates a cache file for the given spell. It will try to use information
-## from an already installed/cast spell (in the case of the host system
having
-## sorcery configured to not generate the caches), and, failing that, will
cast the
-## spell and then dispel it (the second step only being performed if
aggressive
-## is true).
-##
-#-------------------------------------------------------------------------------
-function cauldron_build_host_cache_file() {
- local spell="$1"
- local aggressive="$2"
- local install_logs="$CAULDRON_HOST/var/log/sorcery/install"
- local version=""
-
- # First check to see if the spell was installed, but no cache exists.
- if gaze -q installed "$spell"
- then
- # Spell is installed, generate a cache file using the install log?
- version="$(grep ^$spell $CAULDRON_HSORCERY_PACKAGES | cut -d: -f4)"
- cauldron_create_host_cache "${spell}-${version}"
- else
- # Only do this part if the caller wants us to be aggressive in building
the
- # cache.
- if [[ "$aggressive" == yes || "$aggressive" == 1 ]]
- then
- # Do some trickery to get a cache file. Make sure that sorcery is set
to
- # generate a cache file, and if not then either set sorcery to do so or
- # build the cache file afterwards by being recursive? This should be
done
- # in a build chroot so that the user's host filesystem is not polluted.
- local aggr_build="$CAULDRON_BUILD/tmp/cauldron_aggressive_cache"
-
- if [[ -e "$install_logs/${spell}-${version}" ]]
- then
- # make sure the $aggr_build path is clean
- # completely wipe it out and recreate it
- rm -fr "$aggr_build"
- mkdir -p "$aggr_build"
-
- # find all the files installed by the given spell
- for file in "$install_logs/${spell}-${version}"/*
- do
- # copy all files from the sorcery install log into $aggr_build
- cp -a --parents "$file" "$aggr_build/"
- done
-
- # package the collection of files from the install log as a cache
file
- tar jcf "${spell}-${version}.tar.bz2" \
- --transform "s#$aggr_build/##" "$aggr_build"/*
-
- # if the packaging was successful, wipe out the $aggr_build dir
- [[ $? -eq 0 ]] && rm -fr "$aggr_build"
- else
- if [[ -e "$CAULDRON_BUILD/etc/sorcery/local/config" ]]
- then
- local config="$CAULDRON_BUILD/etc/sorcery/local/config"
- local archive=$(grep "ARCHIVE=" "$config" | cut -d= -f2)
- [[ $archive != "on" ]] &&
- sed -i 's/ARCHIVE=.*/ARCHIVE="on"/' "$config"
- fi
- cauldron_chroot "$CAULDRON_CAST" "$spell"
- cauldron_chroot "$CAULDRON_DISPEL" "$spell"
- fi
- fi
- fi
-}
-
-#-------------------------------------------------------------------------------
-##
-## This software is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This software is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this software; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-#-------------------------------------------------------------------------------
-
-# vim:ai:tw=80:tabstop=2:softtabstop=2:shiftwidth=2:expandtab
diff --git a/cauldron/lib.toolchain b/cauldron/lib.toolchain
new file mode 100644
index 0000000..2343e47
--- /dev/null
+++ b/cauldron/lib.toolchain
@@ -0,0 +1,130 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+##
+##=head1 SYNOPSIS
+##
+## lib.hostcache provides functions for generating spell caches from what's
+## available on the HOST system - only to be used for the
initial
+## build toolchain
+##
+##=head1 COPYRIGHT
+##
+## Copyright 2009 by the Cauldron Team
+##
+##=head1 FUNCTIONS
+##
+##=over 4
+##
+#-------------------------------------------------------------------------------
+
+#-------------------------------------------------------------------------------
+## @param spell
+##
+## Builds a cache file from the information provided by the install log for
the
+## spell passed as an argument. It expects the provided spell to include the
+## version as a suffix (i.e. bash-3.2).
+##
+#-------------------------------------------------------------------------------
+function cauldron_create_host_cache() {
+ local spell="$1"
+ local install_log="$CAULDRON_HOST/var/log/sorcery/install/$spell"
+ local cache="$CAULDRON_CACHES/$spell.tar"
+
+ if [[ -z create_cache_archive ]]
+ then
+ . "$CAULDRON_HSORCERY_LIBS/libstate" 2>$CAULDRON_NULL ||
+ liberror_die $ERR_HOST_SORCERY
+ fi
+
+ create_cache_archive "$install_log" "$cache" "${cache}${EXTENSION}" ||
+ return $ERR_CREATE_CACHE
+}
+
+#-------------------------------------------------------------------------------
+## @param spell
+## @param aggressive
+##
+## Generates a cache file for the given spell. It will try to use information
+## from an already installed/cast spell (in the case of the host system
having
+## sorcery configured to not generate the caches), and, failing that, will
cast the
+## spell and then dispel it (the second step only being performed if
aggressive
+## is true).
+##
+#-------------------------------------------------------------------------------
+function cauldron_build_host_cache_file() {
+ local spell="$1"
+ local aggressive="$2"
+ local install_logs="$CAULDRON_HOST/var/log/sorcery/install"
+ local version=""
+
+ # First check to see if the spell was installed, but no cache exists.
+ if gaze -q installed "$spell"
+ then
+ # Spell is installed, generate a cache file using the install log?
+ version="$(grep ^$spell $CAULDRON_HSORCERY_PACKAGES | cut -d: -f4)"
+ cauldron_create_host_cache "${spell}-${version}"
+ else
+ # Only do this part if the caller wants us to be aggressive in building
the
+ # cache.
+ if [[ "$aggressive" == yes || "$aggressive" == 1 ]]
+ then
+ # Do some trickery to get a cache file. Make sure that sorcery is set
to
+ # generate a cache file, and if not then either set sorcery to do so or
+ # build the cache file afterwards by being recursive? This should be
done
+ # in a build chroot so that the user's host filesystem is not polluted.
+ local aggr_build="$CAULDRON_BUILD/tmp/cauldron_aggressive_cache"
+
+ if [[ -e "$install_logs/${spell}-${version}" ]]
+ then
+ # make sure the $aggr_build path is clean
+ # completely wipe it out and recreate it
+ rm -fr "$aggr_build"
+ mkdir -p "$aggr_build"
+
+ # find all the files installed by the given spell
+ for file in "$install_logs/${spell}-${version}"/*
+ do
+ # copy all files from the sorcery install log into $aggr_build
+ cp -a --parents "$file" "$aggr_build/"
+ done
+
+ # package the collection of files from the install log as a cache
file
+ tar jcf "${spell}-${version}.tar.bz2" \
+ --transform "s#$aggr_build/##" "$aggr_build"/*
+
+ # if the packaging was successful, wipe out the $aggr_build dir
+ [[ $? -eq 0 ]] && rm -fr "$aggr_build"
+ else
+ if [[ -e "$CAULDRON_BUILD/etc/sorcery/local/config" ]]
+ then
+ local config="$CAULDRON_BUILD/etc/sorcery/local/config"
+ local archive=$(grep "ARCHIVE=" "$config" | cut -d= -f2)
+ [[ $archive != "on" ]] &&
+ sed -i 's/ARCHIVE=.*/ARCHIVE="on"/' "$config"
+ fi
+ cauldron_chroot "$CAULDRON_CAST" "$spell"
+ cauldron_chroot "$CAULDRON_DISPEL" "$spell"
+ fi
+ fi
+ fi
+}
+
+#-------------------------------------------------------------------------------
+##
+## This software is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This software is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this software; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+#-------------------------------------------------------------------------------
+
+# vim:ai:tw=80:tabstop=2:softtabstop=2:shiftwidth=2:expandtab
diff --git a/cauldron/libcauldron b/cauldron/libcauldron
index 9ea27f7..b70fc77 100755
--- a/cauldron/libcauldron
+++ b/cauldron/libcauldron
@@ -75,7 +75,7 @@ cauldron_load_library "lib.chroot"

cauldron_load_library "lib.init"

-#cauldron_load_library "lib.hostcache"
+#cauldron_load_library "lib.toolchain"


#-------------------------------------------------------------------------------
##
diff --git a/delint/functions b/delint/functions
new file mode 100755
index 0000000..5cbb8af
--- /dev/null
+++ b/delint/functions
@@ -0,0 +1,84 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+##
+##=head1 SYNOPSIS
+##
+## Function delinter - tests all functions (as defined in the API
+## specification) for whether they are defined in a given file.
+##
+##=head1 COPYRIGHT
+##
+## Copyright 2010 by the Cauldron Team
+##
+##=head1 FUNCTIONS
+##
+##=over 4
+##
+#-------------------------------------------------------------------------------
+
+DELINT_PATH="${DELINT_PATH:-$(dirname $0)}"
+
+if ! . "$DELINT_PATH/libdelint"
+then
+ echo "error: could not load $DELINT_PATH/libdelint"
+ exit 1
+fi
+
+function delint_print_usage() {
+ cat << EndUsage
+Usage: $(basename $0) [-n] FILE_PATH FILE_TO_CHECK1 [FILE_TO_CHECK2 ...]
+
+Checks whether functions called in FILE_TO_CHECK1 [FILE_TO_CHECK2 ...] were
+defined in either the file being checked itself or a library in FILE_PATH
which
+matches the function prefix(es) (as defined in the API). For any functions
not
+so defined, they are printed on stdout along with the file in which they were
+used. If passed -n, color output is disabled.
+EndUsage
+}
+
+function delint_usage() {
+ delint_print_usage
+ exit $ERR_FATAL
+}
+
+# check if color should be disabled
+if [[ "$1" == "-n" ]]
+then
+ if [[ "$#" -gt 1 ]]
+ then
+ LIBCOLOR_NOCOLOR="yes"
+ shift
+ else
+ delint_usage
+ fi
+fi
+
+# we need a minimum of 2 arguments at this point:
+# the defines file + at least one file to check
+if [[ $# -lt 2 ]]
+then
+ echo "$(delint_print_usage)"
+ liberror_die $ERR_FATAL
+fi
+
+delint_functions "$@"
+
+#-------------------------------------------------------------------------------
+##
+## This software is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This software is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this software; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+#-------------------------------------------------------------------------------
+
+# vim:ai:tw=80:tabstop=2:softtabstop=2:shiftwidth=2:expandtab
diff --git a/delint/libdelint b/delint/libdelint
index 318a8a5..ae1ca19 100644
--- a/delint/libdelint
+++ b/delint/libdelint
@@ -132,6 +132,96 @@ function delint_error_codes() {
}


#-------------------------------------------------------------------------------
+## @param directory where function definition files are stored
+## @param source1 [source2 source3...]
+##
+## Tests whether any functions used in source1 (source2, source3, etc.) are
+## defined. Any functions that are used but not defined in the corresponding
+## definition file are output via libcolor_warn, preceded by the file they
were
+## found in via libcolor_file.
+##
+#-------------------------------------------------------------------------------
+function delint_functions() {
+ local path=""
+ local file=""
+ local prefix=""
+ local list=""
+ local matched=""
+
+ # make sure we have a minimum number of arguments
+ if [[ $# -lt 2 ]]
+ then
+ echo "error: improper number of arguments"
+ liberror_die $ERR_FATAL
+ fi
+
+ # get the defines file, then drop it from the argument list
+ path="$1"
+ shift
+
+ # make sure we got a good path component
+ if [[ ! -d "$DELINT_PATH/../$path" ]]
+ then
+ echo "error: library search path not recognized"
+ liberror_die $ERR_FATAL
+ else
+ path="$DELINT_PATH/../$path"
+ fi
+
+ while [[ $# -gt 0 ]]
+ do
+ file="$1"
+ shift
+
+ [[ -f "$file" ]] || continue
+
+ list=($(grep -o "^[ ]*[a-z]\+_[a-z_]\+" "$file" | sed 's/^ *//' | sort
-u))
+ # for each called function, check prefix by prefix
+ for function in "${list[@]}"
+ do
+ # check if the function is defined somewhere in the file it came from
+ grep -q "^function $function() {" "$file" && continue
+
+ # seed the defines variable for the loop below
+ local mangle="$function"
+
+ # check against the prefixes, one at a time
+ while $(echo $mangle | grep -q '^[a-z]\+_[a-z_]\+')
+ do
+ prefix="${mangle%%_*}"
+ [[ "$prefix" == "enchant" ]] && prefix="enchantment"
+
+ # check for the function in a library file matching the prefix
+ if [[ -f "$path/lib$prefix" ]]
+ then
+ if grep -q "^function $function() {" "$path/lib$prefix"
+ then
+ matched="yes"
+ break
+ fi
+ elif [[ -f "$path/lib.$prefix" ]]
+ then
+ if grep -q "^function $function() {" "$path/lib.$prefix"
+ then
+ matched="yes"
+ break
+ fi
+ fi
+
+ # no match yet, strip the prefix and repeat
+ mangle="${mangle#*_}"
+ done
+
+ # if the function isn't defined in the corresponding file, warn the
user
+ if [[ -z "$matched" ]]
+ then
+ echo "$(libcolor_file $file): $(libcolor_warn $function)"
+ fi
+ done
+ done
+}
+
+#-------------------------------------------------------------------------------
##
## This software is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
diff --git a/delint/release-test b/delint/release-test
new file mode 100755
index 0000000..00390b8
--- /dev/null
+++ b/delint/release-test
@@ -0,0 +1,53 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+##
+##=head1 SYNOPSIS
+##
+## Runs all the necessary tests against the Cauldron codebase to ensure
+## quality releases.
+##
+##=head1 COPYRIGHT
+##
+## Copyright 2010 by the Cauldron Team
+##
+##=head1 FUNCTIONS
+##
+##=over 4
+##
+#-------------------------------------------------------------------------------
+
+DELINT_PATH="$(dirname $0)"
+PATH="$DELINT_PATH:$PATH"
+
+TESTERS=(
+ "test-configvars"
+ "test-errorcodes"
+ "test-functions"
+ )
+
+for tester in "${TESTERS[@]}"
+do
+ echo ""
+ echo "RUNNING: $tester"
+ $tester
+done | $PAGER
+
+#-------------------------------------------------------------------------------
+##
+## This software is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This software is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this software; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+#-------------------------------------------------------------------------------
+
+# vim:ai:tw=80:tabstop=2:softtabstop=2:shiftwidth=2:expandtab
diff --git a/delint/test-functions b/delint/test-functions
new file mode 100755
index 0000000..db3e178
--- /dev/null
+++ b/delint/test-functions
@@ -0,0 +1,102 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+##
+##=head1 SYNOPSIS
+##
+## This goes through all the known sources for both cauldron and
enchantment,
+## scans their uses of global configurable variables (those listed in the
+## etc/config files), and ensures that they are defined in the relevant
+## config files.
+##
+##=head1 COPYRIGHT
+##
+## Copyright 2010 by the Cauldron Team
+##
+##=head1 FUNCTIONS
+##
+##=over 4
+##
+#-------------------------------------------------------------------------------
+
+
+DELINT_PATH="${DELINT_PATH:-$(dirname $0)}"
+
+cauldron="$DELINT_PATH/../cauldron"
+
+enchantment="$DELINT_PATH/../enchantment"
+
+if ! . "$DELINT_PATH/libdelint"
+then
+ echo "error: could not load $DELINT_PATH/libdelint"
+ exit 1
+fi
+
+# source the list of cauldron source files to examine
+if ! . "$DELINT_PATH/cauldron_sources"
+then
+ echo "error: could not load cauldron_sources"
+ exit $ERR_FATAL
+fi
+# source the list of enchantment source files to examine
+if ! . "$DELINT_PATH/enchantment_sources"
+then
+ echo "error: could not load enchantment_sources"
+ exit $ERR_FATAL
+fi
+
+function delint_print_usage() {
+ cat << EndUsage
+Usage: $(basename $0) [-n]
+
+Calls the functions delinter to check whether there are functions called in
the
+known cauldron and enchantment source files that aren't defined in the
+respective library files. If passed -n, color output is disabled.
+EndUsage
+}
+
+function delint_usage() {
+ delint_print_usage
+ exit $ERR_FATAL
+}
+
+# check if color should be disabled
+if [[ "$1" == "-n" ]]
+then
+ if [[ "$#" -eq 1 ]]
+ then
+ LIBCOLOR_NOCOLOR="yes"
+ shift
+ else
+ delint_usage
+ fi
+fi
+
+# check cauldron files
+libcolor_notice "Checking cauldron functions"
+echo ""
+delint_functions "cauldron" "${cauldron_srcs[@]}"
+
+# check enchantment files
+libcolor_notice "Checking enchantment functions"
+echo ""
+delint_functions "enchantment" "${enchantment_srcs[@]}"
+
+#-------------------------------------------------------------------------------
+##
+## This software is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This software is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this software; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+#-------------------------------------------------------------------------------
+
+# vim:ai:tw=80:tabstop=2:softtabstop=2:shiftwidth=2:expandtab



  • [SM-Commit] GIT changes to master cauldron by Justin Boffemmyer (8fa5268d692fb3831aa8a584eef11e43cf09da3e), Justin Boffemmyer, 04/07/2010

Archive powered by MHonArc 2.6.24.

Top of Page